Subject: Re: libtool convenience libs problem
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Fri, 1 Oct 2004 14:22:05 +0200

Hi Reini,

>> There is also a thread n the archives where Charles explains why the
>> pass_all flag is not default for Cygwin.

> yes, that would be interesting to read, because I'm wondering what 
> prevents libtool on cygwin to ignore the duplication of efforts 
> providing PIC (in .libs) and nonPIC objects, where both are effectively
> the same. And then refuses to build on false assumptions.
>    (PIC != non-PIC on cygwin)
> Maybe some src defines are in effect for the .libs/ which could hurt.
> (or did hurt before the improved binutils)

> So far I found nothing, but charles has a lot of messages in the archive
> to explore. I'll start with the libtool demo's from the src packages. 
> mdemo-shared looks promising.

Search for 'pass_all +Charles' via Google.

> for now I live this ugly workaround:
>    extract the objects from the static lib,
>    copy them (as fake) to the PIC objects, and build my module.

That is likely the same as if you would use pass_all, but pass_all is
cheap, just a small fix in libtool.m4 or if you prefer to not modify
system libs then fix it in aclocal.m4 before running autoconf.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/